Policy GroupsGroup policies

Group policies

A list of the group's policies for the table view: all policy fields without rules, but with a rules count.

curl -X GET "https://policy-engine-rest.ezig.workers.dev/api/v1/policy-groups/example_string/policies?actionType=transfer" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
[
  {
    "id": "cmr3f41z20001psp7phmyapw3",
    "code": "allow-small",
    "name": "John Doe",
    "description": "example_string",
    "logoUri": "example_string",
    "color": "#0A84FF",
    "emoji": "🛡️",
    "actionType": "transfer",
    "effect": "allow",
    "blockReason": "example_string",
    "approvalThreshold": 42,
    "adminBypass": true,
    "allowInitiatorApproval": true,
    "enabled": true,
    "createdAt": "2026-07-02T11:25:15.134000Z",
    "updatedAt": "2026-07-02T11:25:15.134000Z",
    "_count": {
      "rules": 42
    }
  }
]
GET
/api/v1/policy-groups/{id}/policies
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Session token. Mobile/services. The web uses a cookie.

Session token. Mobile/services. The web uses a cookie.
API Key (cookie: session_token)
session_tokenstring
Required

API key (sent in cookie)

path
idstring
Required

Group id (cuid)

query
actionTypestring

Filter by action type

Options: transfer, create_address, counterparty_create, counterparty_update, counterparty_archive, counterparty_group_create, counterparty_group_update, counterparty_group_archive, counterparty_group_add, counterparty_group_remove
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Session token. Mobile/services. The web uses a cookie.

path
parameterstring
Required

API Key for authentication. Provide your API key in the cookie.

Path Parameters

idstring
Required

Group id (cuid)

Query Parameters

actionTypestring

Filter by action type

Allowed values:transfercreate_addresscounterparty_createcounterparty_updatecounterparty_archivecounterparty_group_createcounterparty_group_updatecounterparty_group_archivecounterparty_group_addcounterparty_group_remove

Responses

idstring
Required

cuid

codestring
Required
namestring
Required
descriptionstring
Required
logoUristring
Required
colorstring
Required
emojistring
Required
actionTypestring
Required
effectstring
Required
blockReasonstring
Required
approvalThresholdstring
Required
adminBypassboolean
Required
allowInitiatorApprovalboolean
Required
enabledboolean
Required
createdAtstring
Required
updatedAtstring
Required
_countobject
Required